Loading...
Searching...
No Matches
write2d.c File Reference
`#include <grass/config.h>`
`#include <stdio.h>`
`#include <math.h>`
`#include <unistd.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include <grass/interpf.h>`
Include dependency graph for write2d.c:

Go to the source code of this file.

## Functions

int | IL_write_temp_2d (struct interp_params *params, int ngstc, int nszc, off_t offset2)

## Function Documentation

## IL_write_temp_2d()

int IL_write_temp_2d | ( | struct interp_params * | params,
|  | int | ngstc,
|  | int | nszc,
|  | off_t | offset2 )

Writes az,adx,...,adxy into appropriate place (depending on ngstc, nszc and offset) in corresponding temp file

Parameters

  ngstc | begin. column
  nszc | end. column
  offset2 | offset

Definition at line 34 of file write2d.c.

References interp_params::adx, interp_params::adxx, interp_params::adxy, interp_params::ady, interp_params::adyy, interp_params::az, interp_params::deriv, G_fatal_error(), interp_params::nsizc, NULL, interp_params::scik1, interp_params::scik2, interp_params::scik3, interp_params::Tmp_fd_dx, interp_params::Tmp_fd_dy, interp_params::Tmp_fd_xx, interp_params::Tmp_fd_xy, interp_params::Tmp_fd_yy, and interp_params::Tmp_fd_z.